<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" indent="no"/>
	<xsl:strip-space elements="*"/>
	
	<xsl:template match="OMA">
		<xsl:if test=" /OMA/@cli = 'true'">
		<xsl:choose>
			<xsl:when test=" /OMA/InventoryCollector/SMStatus='0'"><xsl:call-template name="success"/></xsl:when>
			<xsl:when test=" /OMA/InventoryCollector/SMStatus='-1'"><xsl:call-template name="failure"/></xsl:when>
			<xsl:otherwise><xsl:text>Error occured!</xsl:text></xsl:otherwise>
		</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	
	<xsl:template name="success">
	<DataArea>
		<ListData name="Inventory Status">
				<Data name="Name">
					<xsl:attribute name="display"><!--XLATESTART-->Inventory Collector<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value">
						<xsl:choose>
						  <xsl:when test=" /OMA/InventoryCollector/ICstat='1' ">Enabled</xsl:when>
						  <xsl:when test=" /OMA/InventoryCollector/ICstat='0' ">Disabled</xsl:when>
						  <xsl:when test=" /OMA/InventoryCollector/ICstat='2' ">Unknown</xsl:when>
						  <xsl:otherwise><xsl:text>Error occured!</xsl:text></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
		</ListData>
	</DataArea>
	</xsl:template>

	<xsl:template name="failure">
	<DataArea>
		<ListData name="Inventory Status">
			<Data name="Name">
				<xsl:attribute name="display"><!--XLATESTART-->Inventory Collector<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="/OMA/InventoryCollector/ICstat='3'">Unavailable</xsl:when>
						<xsl:otherwise><xsl:text>Error occured!</xsl:text></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>
		</ListData>
	</DataArea>
	</xsl:template>
	
</xsl:stylesheet>

