<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true" onLoad="true" exportdata="false">
			<xsl:attribute name="submitdisplay"><xsl:value-of select="$strApply"/></xsl:attribute>
			<xsl:attribute name="submit">./SubmitForm?plugin=com.dell.oma.webplugins.SetAccessconfgWebPlugin</xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="$strNodeConfiguration"/></xsl:attribute>
			</PageTitle>

			<CustomButton>
				<Data name="Refresh">
					<xsl:attribute name="display"><xsl:value-of select="$strRefresh"/></xsl:attribute>
					<xsl:attribute name="href">./DataArea?plugin=com.dell.oma.webplugins.AccessconfgWebPlugin&amp;help=access</xsl:attribute>
				</Data>
			</CustomButton>					
			<ListData name="userAccess" type="custom">
			<xsl:attribute name="display"><xsl:value-of select="$strUserAccess"/></xsl:attribute>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><xsl:value-of select="$strUserAccess"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strUserAccess1"/></xsl:attribute>
					</Data>
				</Header>
					<Data>
						<xsl:attribute name="name">accesspwrusrmask</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strPowerUserAccess"/></xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:unCheck('pwrusr')</xsl:attribute>					
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:attribute name="returnvalue">pwrusr</xsl:attribute>
						<xsl:attribute name="state">
							<xsl:if test="Access='3'">1</xsl:if>
							<xsl:if test="Access='2'">1</xsl:if>
						</xsl:attribute>
					</Data>
					
					<Data>
						<xsl:attribute name="name">accessusrmask</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strUserAccessGranted"/></xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:unCheck('usr')</xsl:attribute>					
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:attribute name="returnvalue">usr</xsl:attribute>
						<xsl:attribute name="state">
							<xsl:if test="Access='3'">1</xsl:if>
						</xsl:attribute>
					</Data>
					<Data>
					<xsl:attribute name="name">usermsk_modified</xsl:attribute>
					<xsl:attribute name="type">hidden</xsl:attribute>
					<xsl:attribute name="returnvalue">false</xsl:attribute>
					</Data>
			</ListData>
			<xsl:choose>
				<xsl:when test="CmdLog/DisableConfig='1'"></xsl:when>
				<xsl:otherwise>
			<TableData name="cmdLog">
			<xsl:attribute name="display"><xsl:value-of select="$strCommandLog"/></xsl:attribute>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><xsl:value-of select="$strCommandLog"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strCommandLog"/></xsl:attribute>
					</Data>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">cmdlogH1</xsl:attribute>
					</Data>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">cmdlogH2</xsl:attribute>
					</Data>
					<Data  display=" "  type="hidden" state="" align="left">
						<xsl:attribute name="name">cmdlogH3</xsl:attribute>
					</Data>
					<Data></Data>
				</Header>
				
				<Row>
								
								<Data>
									<xsl:attribute name="display"><xsl:value-of select="$strCommandLogSize"/></xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="$strCommandLogSize"/></xsl:attribute>
								</Data>
								
								<Data type="spincontrol" size="5">
									<xsl:attribute name="noborderright">true</xsl:attribute>
									<xsl:attribute name="name">cmdlog1</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="CmdLog/CurMaxLogSizeMB"/></xsl:attribute>
									<xsl:attribute name="state">3</xsl:attribute>
									<xsl:attribute name="uparrscript">
										<xsl:call-template name="scriptcmd11">
											<xsl:with-param name="max"><xsl:value-of select="CmdLog/MaxLogSizeMB"/></xsl:with-param>
											<xsl:with-param name="incr"><xsl:value-of select="CmdLog/CurMaxLogSizeMB/@increment"/></xsl:with-param>
										</xsl:call-template>
									</xsl:attribute>
									<xsl:attribute name="downarrscript">
										<xsl:call-template name="scriptcmd12">
											<xsl:with-param name="min"><xsl:value-of select="CmdLog/MinLogSizeMB"/></xsl:with-param>
											<xsl:with-param name="incr"><xsl:value-of select="CmdLog/CurMaxLogSizeMB/@increment"/></xsl:with-param>
										</xsl:call-template>
									</xsl:attribute>
								</Data>
								
								<Data  display=" "  type="hidden" state="" align="left">
									<xsl:attribute name="name">cmdlog</xsl:attribute>
									<xsl:attribute name="returnvalue"><xsl:value-of select="CmdLog/CurMaxLogSizeMB"/></xsl:attribute>
								</Data>
								<Data>
								<xsl:attribute name="name">cmdlog_modified</xsl:attribute>
								<xsl:attribute name="type">hidden</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
								</Data>
								
				</Row>
			</TableData>
			
			</xsl:otherwise>
			</xsl:choose>
			
			<xsl:if test="/OMA/OMA/MsgPrefFormat">				
			<ListData name="messageformat" type="custom">
			<xsl:attribute name="display"><xsl:value-of select="$strMsgFrmtSelection"/></xsl:attribute>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><xsl:value-of select="$strMsgFrmtSelection"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strMsgFrmtSelection"/></xsl:attribute>
					</Data>
				</Header>
						<PromptText>
						    <xsl:value-of select="$strPromptMessage"/>
						</PromptText>
					<Data>
						<xsl:attribute name="name">Enhanced</xsl:attribute>
						<xsl:attribute name="id">Enhanced</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strEnhancedMsgFormat"/></xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>	
						<xsl:attribute name="handler">javascript:MsgFormat(this)</xsl:attribute>											
						<xsl:attribute name="type">radio</xsl:attribute>
						<xsl:attribute name="returnvalue">1</xsl:attribute>
						<xsl:attribute name="state">
							<xsl:if test="/OMA/OMA/MsgPrefFormat='1'">1</xsl:if>							
						</xsl:attribute>
					</Data>
					
					<Data>
						<xsl:attribute name="name">Legacy</xsl:attribute>
						<xsl:attribute name="id">Legacy</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strLegacyMsgFormat"/></xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>						
						<xsl:attribute name="type">radio</xsl:attribute>
						<xsl:attribute name="handler">javascript:MsgFormat(this)</xsl:attribute>					
						<xsl:attribute name="returnvalue">0</xsl:attribute>
						<xsl:attribute name="state">
							<xsl:if test="/OMA/OMA/MsgPrefFormat='0'">1</xsl:if>
						</xsl:attribute>
					</Data>	
                    <Data>
								<xsl:attribute name="name">msgformat_modified</xsl:attribute>
								<xsl:attribute name="type">hidden</xsl:attribute>
								<xsl:attribute name="returnvalue">false</xsl:attribute>
					</Data>					
				
			</ListData>
			</xsl:if>	
<!-- start -->
            <xsl:if test="/OMA/ArchiveHWLog/SMStatus='0'">
            <xsl:if test="/OMA/ArchiveHWLog/Is11GorBelow='1'">
			<ListData name="ArchiveHWLogFilter" type="custom">
			<xsl:attribute name="display"><xsl:value-of select="$strArchiveHWLogFilter"/></xsl:attribute>
			    <Header>
					<Data name="">
						<xsl:attribute name="display"><xsl:value-of select="$strArchiveHWLogFilter"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strArchiveHWLogFilter"/></xsl:attribute>
					</Data>
				</Header>
				         <PromptText instructions="true">
						    <xsl:value-of select="$strArchiveHWPromptMessage"/>
						 </PromptText>
				    <Data>
						<xsl:attribute name="name">AutoArchiveSELLogFilter</xsl:attribute>
						<xsl:attribute name="id">AutoArchiveSELLogFilter</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strArchiveHWLog"/></xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:document.getElementById("autoarchivesellogfilter_modified").value=true</xsl:attribute>					 
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:attribute name="returnvalue">Enable</xsl:attribute>
						<xsl:attribute name="state">
						<xsl:if test="/OMA/ArchiveHWLog/AutoArchiveHWLogFilter='1'">1</xsl:if>							
						</xsl:attribute>
					</Data>
					
					<Data>
					<xsl:attribute name="name">autoarchivesellogfilter_modified</xsl:attribute>
					<xsl:attribute name="id">autoarchivesellogfilter_modified</xsl:attribute>
					<xsl:attribute name="type">hidden</xsl:attribute>
					<xsl:attribute name="returnvalue">false</xsl:attribute>
					</Data>
			</ListData>		
			</xsl:if>
            </xsl:if> 			
<!-- start -->		
			<xsl:if test=" /OMA/OSLogFilter/SMStatus='0'">
			<ListData name="OSlogfilter" type="custom">
			<xsl:attribute name="display"><xsl:value-of select="$strOSlogfilter"/></xsl:attribute>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><xsl:value-of select="$strOSlogfilter"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strOSlogfilter"/></xsl:attribute>
					</Data>
				</Header>
						<PromptText>
						    <xsl:value-of select="$strlogfilterPromptMessage"/>
						</PromptText>
					<Data>
            <xsl:attribute name="name">logcritical</xsl:attribute>
						<xsl:attribute name="id">logcritical</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strlogcritical"/></xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:document.getElementById("OSlogfilter_modified").value=true</xsl:attribute>					 
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:attribute name="returnvalue">critical</xsl:attribute>
						<xsl:attribute name="state">
						<xsl:if test=" /OMA/OSLogFilter/LogCritical='1' ">1</xsl:if>							
						</xsl:attribute>
					</Data>
					
					<Data>
						<xsl:attribute name="name">logwarning</xsl:attribute>
						<xsl:attribute name="id">logwarning</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strlogwarning"/></xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:document.getElementById("OSlogfilter_modified").value=true</xsl:attribute>					
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:attribute name="returnvalue">warning</xsl:attribute>
						<xsl:attribute name="state">
						<xsl:if test=" /OMA/OSLogFilter/LogWarning='1' ">1</xsl:if>							
						</xsl:attribute>
					</Data>
					
					<Data>
						<xsl:attribute name="name">loginformational</xsl:attribute>
						<xsl:attribute name="id">loginformational</xsl:attribute>
						<xsl:attribute name="display"><xsl:value-of select="$strloginformational"/></xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:document.getElementById("OSlogfilter_modified").value=true</xsl:attribute>				
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:attribute name="returnvalue">informational</xsl:attribute>
						<xsl:attribute name="state">
						<xsl:if test=" /OMA/OSLogFilter/LogInformational='1' ">1</xsl:if>							
						</xsl:attribute>
					</Data>
					
					<Data>
            <xsl:attribute name="name">OSlogfilter_modified</xsl:attribute>
					  <xsl:attribute name="id">OSlogfilter_modified</xsl:attribute>
					  <xsl:attribute name="type">hidden</xsl:attribute>
					  <xsl:attribute name="returnvalue">false</xsl:attribute>
					</Data>
			</ListData>
			</xsl:if>			
<!-- end -->
  
<!-- start -->
      <xsl:if test="/OMA/LogAllSensorEvents/SMStatus='0'">
      <ListData name="LogAllSensorEvents" type="custom">
      <xsl:attribute name="display"><xsl:value-of select="$strLogAllSensorEvents"/></xsl:attribute>
        <Header>
          <Data name="">
            <xsl:attribute name="display">
                <xsl:value-of select="$strLogAllSensorEvents"/>
            </xsl:attribute>
            <xsl:attribute name="value">
                <xsl:value-of select="$strLogAllSensorEvents"/>
            </xsl:attribute>
          </Data>
         </Header>
            <PromptText instructions="true">
                <xsl:value-of select="$strLogAllSensorEventsPromptMessage"/>
            </PromptText>
          <Data>
            <xsl:attribute name="name">LogAllSensorEvents</xsl:attribute>
            <xsl:attribute name="id">LogAllSensorEvents</xsl:attribute>
            <xsl:attribute name="display">
                <xsl:value-of select="$strLogAllSensorEventsEnable"/>
            </xsl:attribute>
            <xsl:attribute name="event">onClick</xsl:attribute>
            <xsl:attribute name="handler">javascript:document.getElementById("LogAllSensorEvents_modified").value=true</xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">Enable</xsl:attribute>
            <xsl:attribute name="state">
                <xsl:if test="/OMA/LogAllSensorEvents/Enable='1'">1</xsl:if>
            </xsl:attribute>
          </Data>

          <Data>
            <xsl:attribute name="name">LogAllSensorEvents_modified</xsl:attribute>
            <xsl:attribute name="id">LogAllSensorEvents_modified</xsl:attribute>
            <xsl:attribute name="type">hidden</xsl:attribute>
            <xsl:attribute name="returnvalue">false</xsl:attribute>
          </Data>

        </ListData>
        </xsl:if>

<!-- end -->

<!-- start -->
      <xsl:if test="/OMA/ProductUseFeedback/SMStatus='0'">
      <ListData name="ProductUseFeedback" type="custom">
      <xsl:attribute name="display"><xsl:value-of select="$strProductUseFeedback"/></xsl:attribute>
        <Header>
          <Data name="">
            <xsl:attribute name="display">
                <xsl:value-of select="$strProductUseFeedback"/>
            </xsl:attribute>
            <xsl:attribute name="value">
                <xsl:value-of select="$strProductUseFeedback"/>
            </xsl:attribute>
          </Data>
        </Header>
            <PromptText instructions="true">
                <xsl:value-of select="$strProductUseFeedbackPromptMessage"/>
            </PromptText>
          <Data>
            <xsl:attribute name="name">ProductUseLogEnable</xsl:attribute>
            <xsl:attribute name="id">ProductUseLogEnable</xsl:attribute>
            <xsl:attribute name="display">
                <xsl:value-of select="$strProductUseFeedbackEnable"/>
            </xsl:attribute>
            <xsl:attribute name="event">onClick</xsl:attribute>
            <xsl:attribute name="handler">javascript:document.getElementById("ProductUseFeedback_modified").value=true;javascript:EnableProdUseLogSettings()</xsl:attribute>
            <xsl:attribute name="type">checkbox</xsl:attribute>
            <xsl:attribute name="returnvalue">Enable</xsl:attribute>
            <xsl:attribute name="state">
                <xsl:if test="/OMA/ProductUseFeedback/CurrentState='1'">1</xsl:if>
            </xsl:attribute>
          </Data>

		  <Data type="editbox" name="prodlogpath" size="40" maxlength="255">
			<xsl:attribute name="display"><xsl:value-of select="$strLogFilePath"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="/OMA/ProductUseFeedback/LogPath"/></xsl:attribute>
		  </Data>
		  
		  <Data type="spincontrol" size="5">
			<xsl:attribute name="noborderright">true</xsl:attribute>
			<xsl:attribute name="name">prodlogsize1</xsl:attribute>
			<xsl:attribute name="display"><xsl:value-of select="$strLogSize"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="/OMA/ProductUseFeedback/LogFileSize"/></xsl:attribute>
			<xsl:attribute name="state">3</xsl:attribute>
			<xsl:attribute name="uparrscript">
				<xsl:call-template name="scriptlogsize1">
					<xsl:with-param name="max"><xsl:value-of select="50"/></xsl:with-param>
					<xsl:with-param name="incr"><xsl:value-of select="1"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
			<xsl:attribute name="downarrscript">
				<xsl:call-template name="scriptlogsize2">
					<xsl:with-param name="min"><xsl:value-of select="1"/></xsl:with-param>
					<xsl:with-param name="incr"><xsl:value-of select="1"/></xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>
		  </Data>
		  <Data  display=" "  type="hidden" state="" align="left">
			<xsl:attribute name="name">prodlogsize</xsl:attribute>
			<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/ProductUseFeedback/LogFileSize"/></xsl:attribute>
		  </Data>
		
		  <Data>
			<xsl:attribute name="name">ProductUseFeedback_modified</xsl:attribute>
			<xsl:attribute name="id">ProductUseFeedback_modified</xsl:attribute>
			<xsl:attribute name="type">hidden</xsl:attribute>
			<xsl:attribute name="returnvalue">false</xsl:attribute>
		  </Data>
	  </ListData>
	  </xsl:if>

<!-- end -->
      
			<script language="javascript">
				var lastobjcmd;
				var curobjcmd;
				var lastobjcmd1;
				var curobjcmd1;
				var accessModified = false;
				var cmdModified = false;
				var msgmodified = false;
				var msgFormat = '<xsl:value-of select="/OMA/OMA/MsgPrefFormat"/>';
				
				function initializationRoutine()
				{	
					if(msgFormat=='1')
					     document.getElementById("Enhanced").checked = true;
					
					else if(msgFormat=='0')
					     document.getElementById("Legacy").checked = true;

					EnableProdUseLogSettings();
			
				}
				function MsgFormat(element)
				{
					if(element.value=='1')
					{
						document.getElementById("Enhanced").checked = true;					
						document.getElementById("Legacy").checked = false;
					}						
					if(element.value=='0')
					{
						document.getElementById("Legacy").checked = true;					
						document.getElementById("Enhanced").checked = false;					
					}
					if( false == msgmodified )
						msgmodified = true;
					
					
				}

				
				function unCheck (userName) {
					if (userName == 'pwrusr') {
						if(document.getElementById("dataarea").accesspwrusrmask.checked == false)
						{
							document.getElementById("dataarea").accessusrmask.checked = false;
						}
					}
					else if (userName == 'usr') {
						if(document.getElementById("dataarea").accessusrmask.checked == true)
						{
							document.getElementById("dataarea").accesspwrusrmask.checked = true;
						}
					}
					if( false == accessModified )
						accessModified = true;
				}
				
				


				function tonum(obj){
					 return parseInt(obj);
   				 }

				function getvaluecmd(){
					lastobjcmd = tonum(document.dataarea.cmdlog1.value);
					return lastobjcmd;
				}
				function getvaluecmd1(){
					lastobjcmd1 = tonum(document.dataarea.cmdlog.value);
					return lastobjcmd1;
				}
				
				
				function incrcmd(x , y){
					curobjcmd=getvaluecmd();
					curobjcmd1=getvaluecmd1();
					curobjcmd = curobjcmd + x;
					if ( y &gt;= curobjcmd ){
						document.dataarea.cmdlog1.value = curobjcmd;
					}
					else{
						document.dataarea.cmdlog1.value = y;	
					}
					curobjcmd1 = curobjcmd1 + x;
					if ( y &gt;= curobjcmd1 ){
						document.dataarea.cmdlog.value = curobjcmd1;
					}
					else{
						document.dataarea.cmdlog.value = y;	
					}
					if( false == cmdModified )
						cmdModified = true;
					return ;	
				}

				function decrcmd(a , b)	{
					curobjcmd=getvaluecmd();
					curobjcmd1=getvaluecmd1();
					
					curobjcmd = curobjcmd - a;
					if ( b &lt;= curobjcmd ){
						document.dataarea.cmdlog1.value = curobjcmd;
					}
					else{
						document.dataarea.cmdlog1.value = b;
					}	
					
					curobjcmd1 = curobjcmd1 - a;
					if ( b &lt;= curobjcmd1 ){
						document.dataarea.cmdlog.value = curobjcmd1;
					}
					else{
						document.dataarea.cmdlog.value = b;
					}
					if( false == cmdModified )
						cmdModified = true;

					return ;			
				}

				function getvalueprodlogsize(){
					lastobjprod = tonum(document.dataarea.prodlogsize1.value);
					return lastobjprod;
				}
				function getvalueprodlogsize1(){
					lastobjprod1 = tonum(document.dataarea.prodlogsize.value);
					return lastobjprod1;
				}

				function incrlogsize(x , y){
					var chckval = document.getElementById("ProductUseLogEnable").checked;
					if(chckval){
					curobjprod=getvalueprodlogsize();
					curobjprod1=getvalueprodlogsize1();
					
					curobjprod = curobjprod + x;					
					if ( y &gt;= curobjprod ){
						document.dataarea.prodlogsize1.value = curobjprod;
						}
					else{
						document.dataarea.prodlogsize1.value = y;	
						}
						
					curobjprod1 = curobjprod1 + x;
					if ( y &gt;= curobjprod1 ){
						document.dataarea.prodlogsize.value = curobjprod1;
						}
					else{
						document.dataarea.prodlogsize.value = y;	
						}
					document.getElementById("ProductUseFeedback_modified").value=true;
					}
					return ;	
				}

				function decrlogsize(a , b)	{
					var chckval = document.getElementById("ProductUseLogEnable").checked;
					if(chckval){
					curobjprod=getvalueprodlogsize();
					curobjprod1=getvalueprodlogsize1();
					
					curobjprod = curobjprod - a;				
					if ( b &lt;= curobjprod ){
						document.dataarea.prodlogsize1.value = curobjprod;
						}
					else{
						document.dataarea.prodlogsize1.value = b;
						}	
					
					curobjprod1 = curobjprod1 - a;
					if ( b &lt;= curobjprod1 ){
						document.dataarea.prodlogsize.value = curobjprod1;
						}
					else{
						document.dataarea.prodlogsize.value = b;
						}
					document.getElementById("ProductUseFeedback_modified").value=true;
					}
					return ;			
				}


				
				function EnableProdUseLogSettings()
				{
					document.dataarea.prodlogpath.disabled = true;
					
						if (document.getElementById("ProductUseLogEnable").checked)
						{
							document.dataarea.prodlogsize1.disabled = false;
						}
						else
						{
							document.dataarea.prodlogsize1.disabled = true;
						}
				}

				function validate()
				{				
					document.getElementById("usermsk_modified").value = accessModified;
					if( document.getElementById("cmdlog_modified"))
					{
					document.getElementById("cmdlog_modified").value = cmdModified;
					}
					
					if(document.getElementById("msgformat_modified"))
					{
					document.getElementById("msgformat_modified").value = msgmodified;
					} 					 										
					
					return true;
				}

			</script>
		</DataArea>
		</xsl:template>
		<xsl:template name="scriptcmd11">
			<xsl:param name="max"/>
			<xsl:param name="incr"/>
			javascript:incrcmd(<xsl:value-of select="$incr"/>,<xsl:value-of select="$max"/>)
		</xsl:template>
		<xsl:template name="scriptcmd12">
			<xsl:param name="min"/>
			<xsl:param name="incr"/>
			javascript:decrcmd(<xsl:value-of select="$incr"/>,<xsl:value-of select="$min"/>)
		</xsl:template>
		
		<xsl:template name="scriptlogsize1">
			<xsl:param name="max"/>
			<xsl:param name="incr"/>
			javascript:incrlogsize(<xsl:value-of select="$incr"/>,<xsl:value-of select="$max"/>)
		</xsl:template>
		
		<xsl:template name="scriptlogsize2">
			<xsl:param name="min"/>
			<xsl:param name="incr"/>
			javascript:decrlogsize(<xsl:value-of select="$incr"/>,<xsl:value-of select="$min"/>)
		</xsl:template>
		
	<xsl:template match="*"/>
</xsl:stylesheet>
